#!/bin/sh
+if [ "$1" = "CI" ]; then
+ OPT='-dR'
+else
+ OPT='-a'
+fi
+
dos2unix -q ./tool/ventoy_lib.sh
dos2unix -q ./tool/VentoyWorker.sh
+dos2unix -q ./tool/WebDeepin.sh
+dos2unix -q ./tool/WebUos.sh
. ./tool/ventoy_lib.sh
sh mkloopex.sh
cd -
+cd ../Unix
+sh pack_unix.sh
+cd -
+
+cd ../LinuxGUI
+sh language.sh || exit 1
+sh build.sh
+cd -
+
LOOP=$(losetup -f)
mkdir -p $tmpmnt/grub
# First copy grub.cfg file, to make it locate at front of the part2
-cp -a ./grub/grub.cfg $tmpmnt/grub/
+cp $OPT ./grub/grub.cfg $tmpmnt/grub/
ls -1 ./grub/ | grep -v 'grub\.cfg' | while read line; do
- cp -a ./grub/$line $tmpmnt/grub/
+ cp $OPT ./grub/$line $tmpmnt/grub/
done
-cp -a ./ventoy $tmpmnt/
-cp -a ./EFI $tmpmnt/
-cp -a ./tool/ENROLL_THIS_KEY_IN_MOKMANAGER.cer $tmpmnt/
+cp $OPT ./ventoy $tmpmnt/
+cp $OPT ./EFI $tmpmnt/
+cp $OPT ./tool/ENROLL_THIS_KEY_IN_MOKMANAGER.cer $tmpmnt/
mkdir -p $tmpmnt/tool
-cp -a ./tool/i386/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_i386
-cp -a ./tool/x86_64/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_x86_64
-cp -a ./tool/aarch64/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_aarch64
+cp $OPT ./tool/i386/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_i386
+cp $OPT ./tool/x86_64/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_x86_64
+cp $OPT ./tool/aarch64/mount.exfat-fuse $tmpmnt/tool/mount.exfat-fuse_aarch64
+
rm -f $tmpmnt/grub/i386-pc/*.img
dd if=$LOOP of=$tmpdir/boot/core.img bs=512 count=2047 skip=1 status=none
xz --check=crc32 $tmpdir/boot/core.img
-cp -a ./tool $tmpdir/
+cp $OPT ./tool $tmpdir/
rm -f $tmpdir/ENROLL_THIS_KEY_IN_MOKMANAGER.cer
-cp -a Ventoy2Disk.sh $tmpdir/
-cp -a README $tmpdir/
-cp -a plugin $tmpdir/
-cp -a CreatePersistentImg.sh $tmpdir/
+cp $OPT Ventoy2Disk.sh $tmpdir/
+cp $OPT VentoyWeb.sh $tmpdir/
+cp $OPT VentoyWebDeepin.sh $tmpdir/
+#cp $OPT Ventoy.desktop $tmpdir/
+cp $OPT README $tmpdir/
+cp $OPT plugin $tmpdir/
+cp $OPT CreatePersistentImg.sh $tmpdir/
dos2unix -q $tmpdir/Ventoy2Disk.sh
+dos2unix -q $tmpdir/VentoyWeb.sh
+dos2unix -q $tmpdir/VentoyWebDeepin.sh
+#dos2unix -q $tmpdir/Ventoy.desktop
dos2unix -q $tmpdir/CreatePersistentImg.sh
+cp $OPT ../LinuxGUI/WebUI $tmpdir/
+sed 's/.*SCRIPT_DEL_THIS \(.*\)/\1/g' -i $tmpdir/WebUI/index.html
+
#32MB disk img
dd status=none if=$LOOP of=$tmpdir/ventoy/ventoy.disk.img bs=512 count=$VENTOY_SECTOR_NUM skip=$part2_start_sector
xz --check=crc32 $tmpdir/ventoy/ventoy.disk.img
find $tmpdir/ -type d -exec chmod 755 "{}" +
find $tmpdir/ -type f -exec chmod 644 "{}" +
chmod +x $tmpdir/Ventoy2Disk.sh
+chmod +x $tmpdir/VentoyWeb.sh
+chmod +x $tmpdir/VentoyWebDeepin.sh
+#chmod +x $tmpdir/Ventoy.desktop
chmod +x $tmpdir/CreatePersistentImg.sh
tar -czvf ventoy-${curver}-linux.tar.gz $tmpdir
rm -f ventoy-${curver}-windows.zip
-cp -a Ventoy2Disk*.exe $tmpdir/
-cp -a $LANG_DIR/languages.ini $tmpdir/ventoy/
+cp $OPT Ventoy2Disk*.exe $tmpdir/
+cp $OPT $LANG_DIR/languages.ini $tmpdir/ventoy/
rm -rf $tmpdir/tool
rm -f $tmpdir/*.sh
+rm -rf $tmpdir/WebUI
rm -f $tmpdir/README
rm -rf $tmpdir
+echo "=============== run livecd.sh ==============="
cd ../LiveCD
-sh livecd.sh
+sh livecd.sh $1
cd $CurDir
mv ../LiveCD/ventoy*.iso ./